#!/bin/ksh
#================================================================
# EasySTAT (dim) v.1.9
#================================================================
#
# STATS env contains the list of stat commands 
# to be collected in the following sysntax
# "Name1!Command1[; NameN!CommandN]
#
# Change default STATS list according your needs...
# Have fun! :)
# -Dimitri
#
#================================================================
VER="v.1.9"

# << The *Must* env sys settings, don't remove! >>
#========================================================
LANG=C
LC_ALL=C
PATH=/etc/STATsrv/bin:$PATH
LD_LIBRARY_PATH=/etc/STATsrv/lib:$LD_LIBRARY_PATH
export PATH LD_LIBRARY_PATH LANG LC_ALL
#========================================================

# Compress output files (optional)
# """"""""""""""""""""""""""""""""""""""""
COMPRESS=gzip
export COMPRESS

# Auto-include timestamps (optional)
# """"""""""""""""""""""""""""""""""""""""
TIMER=yes
export TIMER

# Log output into this file (optional)
# """"""""""""""""""""""""""""""""""""""""
##LOG=/var/log/stat.log
##export LOG


#==================================================================
# Stats to collect
#==================================================================
STATS="$STATS; VMSTAT!/usr/bin/vmstat %i"
STATS="$STATS; CPUSet!/etc/STATsrv/bin/CPUSet.sh %i"
STATS="$STATS; MPSTAT!/usr/bin/mpstat %i"
STATS="$STATS; IOSTAT-xn!/etc/STATsrv/bin/ioSTAT.sh -xn %i"
STATS="$STATS; netLOAD!/etc/STATsrv/bin/netLOAD %i"
STATS="$STATS; ProcLOAD!/etc/STATsrv/bin/ProcLOAD.sh %i"


Usage() {
echo "EasySTAT (dim) $VER "
echo "  Usage: "
echo "  $ EasySTAT.sh  OutDIR IntervalSec NbHours [Title [Hostname [DBname [Batch [Log]]]]]"
exit
}


if [ "$1" = "-h" ] || [ "$1" = "-?" ] || [ "X$1" = "X" ]; 
  then Usage; 
fi

export PATH STATS
cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX /etc/STATsrv/bin/x.EasySTAT -Dir "$1" -Timeout "$2" -Hours "$3" -Title "$4" -Host "$5" -Base "$6" -Batch "$7" -Log "$8"

